import React from 'react';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import moment from 'moment';
import '../distribute/public.less';
import {  Button, Input, Spin, Table,Select, Switch, message, DatePicker,Modal ,Form } from 'antd';
import {getNewOrderStatus,getProjectStatus,getPaymentType,getTransactionProject,getBonusState} from '@/tools';
import BonuseDetail from './bonusDetail';
const FormItem= Form.Item;

const YxBonus = React.createClass({
    departmentList() {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/organization/listOrganizationManagement",
			data: {
                pageNo:1,
                pageSize:999,
                type:1
            },
			success: function(data) {
                let thedata = data.data.list;
				let theArr=[];
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				}else{
					thedata.map(function(item,index){
						theArr.push({
							key:index,
							name:item.name,
							id:item.id,
						})
					})
				}
				this.setState({
					departmentArr:theArr,
				})
			}.bind(this),
			}).always(function() {
				this.setState({
					loading: false
				});
			}.bind(this));
	},
    loadData(pageNo) {
        this.state.data = [];
        this.setState({
            selectedRowKeys:[],
            selectedRowKey:[],
            page:pageNo,
            loading: true
        });
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/order/listAllSettlement",
            data: {
                pageNo: pageNo || 1,
                pageSize:this.state.pagination.pageSize,
                ownerName: this.state.nameSearch,//客户名称
                departmentId:this.state.departmenttList,
                startDate: this.state.releaseDate[0],
                endDate: this.state.releaseDate[1],
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: i,
		                    orderNo: thisdata.orderNo,
		                    orderType:thisdata.orderType,
		                    orderStatus:thisdata.orderStatus,
		                    processStatus:thisdata.processStatus,
		                    projectStage:thisdata.projectStage,
		                    approval:thisdata.approval,
		                    creater:thisdata.creater,
                            createTime:thisdata.createTime?(new Date(thisdata.createTime)).toLocaleString():'',
                            signTime:thisdata.signTime?(new Date(thisdata.signTime)).toLocaleString():''
                        });
                    };
                }
                this.state.pagination.current = data.data.pageNo;
                this.state.pagination.total = data.data.totalCount;
                if(data.data&&data.data.list&&!data.data.list.length){
					this.state.pagination.current=0
					this.state.pagination.total=0
				}
                this.setState({
                    dataSource: theArr,
                    pagination: this.state.pagination
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    getInitialState() {
        return {
            searchMore: true,
            releaseDate: [],
            RowData:{},
            execState:false,
            selectedRowKeys: [],
            selectedRows: [],
            proofData:{},
            loading: false,
            pagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            columns: [
                {
                    title: '订单编号',
                    dataIndex: 'orderNo',
                    key: 'orderNo',   
                },
                {
                    title: '订单负责人',
                    dataIndex: 'sellerName',
                    key: 'sellerName',
                }, 
                {
                    title: '签单日期',
                    dataIndex: 'signTime',
                    key: 'signTime',
                },
                {
                    title: '客户名称',
                    dataIndex: 'buyerName',
                    key: 'buyerName',
                    render:text=>{
                        return text&&text>8?text.substr(0,8)+'...':text
                    }
                },
                {
                    title: '订单金额',
                    dataIndex: 'transactionAmount',
                    key: 'transactionAmount'
                },
                {
                    title: '流水科目',
                    dataIndex: 'transactionSubject',
                    key: 'transactionSubject',
                    render:(text)=>{
                        return getTransactionProject(text)
                    }
                },
                {
                    title: '订单状态',
                    dataIndex: 'orderStatus',
                    key: 'orderStatus',
                    render:(text)=>{
                        return getNewOrderStatus(text)
                    }
                },
                {
                    title: '项目状态',
                    dataIndex: 'projectStatus',
                    key: 'projectStatus',
                    render:(text)=>{
                        return getProjectStatus(text)
                    }
                },
                 {
                    title: '发放状态',
                    dataIndex: 'creater11',
                    key: 'creater11',
                    render:(text)=>{
                        return getBonusState(text)
                    }
                },
                {
                    title: '发放类型',
                    dataIndex: 'creater11t',
                    key: 'creater11t',
                    render:text=>{
                        return getPaymentType(text)
                    }
                },
                {
                    title: '已收',
                    dataIndex: 'creater22',
                    key: 'creater22'
                },{
                    title: '已退',
                    dataIndex: 'creater33',
                    key: 'creater33'
                },
                {
                    title: '操作',
                    dataIndex: 'state11',
                    key: 'state11',
                    render:(text,recard)=>{
                        return <div>
                            <Button type="primary" style={{margin:'0 10px'}} onClick={(e)=>{e.stopPropagation(),this.proofread(recard,0)}}>发放</Button>
                            <Button type="primary" onClick={(e)=>{e.stopPropagation(),this.proofread(recard,1)}}>校对</Button>
                        </div>
                    }
                },
            ],
            dataSource: [],
            searchTime: [,]
        }
    },
    proofread(recard,index){
        this.setState({
            proofreadState:index,
            boHuiVisible:true,
            proofData: recard,
            result:''
        })
    },
    tableRowClick(record, index) {
        this.state.RowData = record;
        this.setState({
            showDesc: true,
        });
    },
    closeDesc(e, s) {
        this.state.RowData={};
        this.state.showDesc = e;
        if (s) {
            this.loadData(this.state.page);
        };
    },
    componentWillMount() {
        this.loadData();
        this.departmentList();
    },
    search() {
        this.loadData();
    },
    boHuiOk(){
        this.setState({
            boHuiVisible:false
        })
        this.loadData(this.state.page);
    },
    boHuiCancel(e){
        this.setState({
            boHuiVisible:false
        })
    },
    //导出
    exportExec(){
        let departmentName='',
        depart =this.state.departmentArr || [];
        depart.map(item=>{
            if(this.state.departmentId==item.id){
                departmentName=item.name;
                return;
            }
        });
        let data = {
            departmentId:this.state.departmentId,
            departmentName:departmentName,
            ownerName: this.state.nameSearch,//订单负责人
            startDate: this.state.releaseDate[0],
            endDate: this.state.releaseDate[1],
        }
        window.location.href=(globalConfig.context+'/api/admin/financial/exportBillData?'+$.param(data));
    },
    //保存发放状态
    boHuiSubmit(e){
        e.preventDefault();
        if(this.state.proofreadState&&!this.state.result){
            message.warning('请填写校对结果');
            return false;
        }
        this.setState({
            loading:true
        });
        $.ajax({
            method: "POST",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/user/achievement/delete",
            data: {
                id: this.state.proofData.id,
                index:this.state.proofreadState,    //0-发放   1-校对
                result:this.state.result            //校对结果
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('操作成功！');
                this.boHuiOk()
            } else {
                message.warning(data.error[0].message);
            };
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    reset() {
        this.state.orderRefundSearch='';
        this.state.releaseDate = [];
        this.state.departmenttList=undefined;
        this.state.orderNoSearch='';
        this.loadData();
    },
    searchSwitch() {
        this.setState({
            searchMore: !this.state.searchMore
        });
    },
    render() { 
        const rowSelection = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows.slice(-1),
                    selectedRowKeys: selectedRowKeys.slice(-1)
                });
            }
        };
        const hasSelected = this.state.selectedRowKeys.length > 0;
        const { RangePicker } = DatePicker;
        let departmentArr = this.state.departmentArr || [];
        return ( <div className="user-content">
            <div className="content-title">
                <span>营销员奖金</span>
                </div>
                <div className="user-search">
                    <Select placeholder="订单部门"
                        style={{ width: 150 ,marginRight:10}}
                        value={this.state.departmenttList}
                        onChange={(e) => { this.setState({ departmenttList: e }) }}>
                        {
                            departmentArr.map(function (item) {
                                    return <Select.Option key={item.id} >{item.name}</Select.Option>
                            })
                        }
                    </Select>
                    <Input placeholder="订单负责人"
                        value={this.state.orderRefundSearch}
                        onChange={(e) => { this.setState({ orderRefundSearch: e.target.value }); }} /> 
                    <Button type="primary" onClick={this.search}>搜索</Button>
                    <Button onClick={this.reset}>重置</Button>
                    <div style={{float:'right'}}>
                       <Button onClick={this.exportExec}>导出exec</Button>
                    </div>
                    <span>更多搜索<Switch defaultChecked={false} onChange={this.searchSwitch.bind(this)} /></span>
                    <div className="search-more" style={this.state.searchMore ? { display: 'none' } : {}}>
                        <span>签单时间 :</span>
                        <RangePicker
                            value={[this.state.releaseDate[0] ? moment(this.state.releaseDate[0]) : null,
                            this.state.releaseDate[1] ? moment(this.state.releaseDate[1]) : null]}
                            onChange={(data, dataString) => { this.setState({ releaseDate: dataString }); }} />
                    </div>
                </div>
                <div className="patent-table" id="table">
                    <Spin spinning={this.state.loading}>
                        <Table columns={this.state.columns}
                            dataSource={this.state.dataSource}
                            rowSelection={rowSelection}
                            pagination={this.state.pagination}
                            onRowClick={this.tableRowClick}
                             />
                    </Spin>
                </div>
                <BonuseDetail 
                    data={this.state.RowData}
                    showDesc={this.state.showDesc}
                    closeDesc={this.closeDesc.bind(this)}
               />
                <Modal visible={this.state.boHuiVisible} 
                        width="400px" 
                        title={this.state.proofreadState?"校对":'发放'}
                        footer=''
                        onOk={this.boHuiOk} 
                        onCancel={this.boHuiCancel}
                >
                    <Form layout="horizontal" onSubmit={this.boHuiSubmit}>
			                <Spin spinning={this.state.loading}>
                                {this.state.proofreadState?<div>
                                    <FormItem labelCol={{ span: 8 }} wrapperCol={{ span: 10 }} label={<span><strong style={{color:'#f00'}}>*</strong>单量校对结果</span>}>
                                        <Input
                                            placeholder="请输入单量校对结果"
                                            value={this.state.result}
                                            onChange={(e) => {
                                                this.setState({ result: e.target.value });
                                            }}
                                        />
                                    </FormItem>   
                                    <FormItem labelCol={{ span: 8 }} wrapperCol={{ span: 10 }} label='校对人'>
                                        <span>{this.state.proofData.name}</span>
                                    </FormItem>
                                </div>:
                                <div>
                                    <FormItem labelCol={{ span: 8 }} wrapperCol={{ span: 10 }} label='应收人'>
                                        <span>{this.state.proofData.name}</span>
                                    </FormItem>
                                    <FormItem labelCol={{ span: 8 }} wrapperCol={{ span: 10 }} label='发放人'>
                                        <span>{this.state.proofData.name}</span>
                                    </FormItem>
                                    <FormItem labelCol={{ span: 8 }} wrapperCol={{ span: 10 }} label='发放日期'>
                                        <span>{this.state.proofData.time}</span>
                                    </FormItem>
                                </div>
                            }
                            <FormItem wrapperCol={{ span: 12, offset:8 }}>  
                                <Button type="primary" htmlType="submit"  style={{marginRight:20}}>保存</Button>
                                <Button type="default" onClick={()=>{this.boHuiCancel()}}>取消</Button>
                            </FormItem>
                            </Spin>
                        </Form>
                </Modal>
        </div> )
    }
})
 
export default YxBonus;