import React from 'react';
import { Icon, Table, Modal, message, Spin, Input, Select, Button, Form ,Upload,Popconfirm,AutoComplete,DatePicker,Radio,Col} from 'antd';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import '../userMangagement.less';
import {orderTypes,customerType,jiedian,tepi,boutique} from '../../../dataDic.js';  
import {splitUrl,getTransactionProject,getChangeState,getTransactionChannel,beforeUploadFile,getProcessStatus,getLiquidationStatus,getboutique} from '../../../tools.js';
const Option = AutoComplete.Option;
//图片组件
const PicturesWall = React.createClass({
    getInitialState() {
        return {
            previewVisible: false,
            previewImage: '',
            fileList: [],
        }
    },
    getDefaultProps(){
    	return{
    		changeClick:this.modifyChange
    	}
    },
    handleCancel() {
        this.setState({ previewVisible: false })
    },
    handlePreview(file) {
        this.setState({
            previewImage: file.url || file.thumbUrl,
            previewVisible: true,
        });
    },
    handleChange(info) {
        let fileList = info.fileList;
        this.setState({ fileList });
        this.props.fileList(fileList);
    },
    componentWillReceiveProps(nextProps) {
        this.state.fileList = nextProps.pictureUrl; 
    },
    render() {
        const { previewVisible, previewImage, fileList } = this.state;
        const uploadButton = (
            <div>
                <Icon type="plus" />
                <div className="ant-upload-text">点击上传</div>
            </div>
        );
        return (
            <div style={{display:"inline-block"}}>
                <Upload
                	beforeUpload={beforeUploadFile}
                    action={globalConfig.context + "/api/admin/order/uploadOrderImg"}
                    data={{ 'sign': '' }}
                    listType="picture-card"
                    fileList={fileList}
                    onPreview={this.handlePreview}
                    onChange={this.handleChange} >
                    {fileList.length >= 18 ? null : uploadButton}
                </Upload>
                <Modal maskClosable={false} visible={previewVisible} footer={null} onCancel={this.handleCancel}>
                    <img alt="example" style={{ width: '100%' }} src={previewImage} />
                </Modal>
            </div>
        );
    }
});
const NewService = Form.create()(React.createClass({
	//查看项目列表
	loadData(record) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/newOrder/getOrderTask',
            data: {
            	orderNo:record?record.orderNo:this.props.datauser.orderNo
            },
            success: function (data) {
                let theArr = [];
                if (!data.data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.length; i++) {
                        let thisdata = data.data[i];
                        theArr.push({
                             key: i,
                             id:thisdata.id,
                             orderNo:thisdata.orderNo,//订单编号
                              commodityId:thisdata.commodityId,//项目ID
                             commodityName:thisdata.commodityName,//项目名称
                             cname:thisdata.cname,//项目类别
                             commodityPrice:thisdata.commodityPrice,//项目价格
                             commodityQuantity:thisdata.commodityQuantity,//项目数量
                             main:thisdata.main,//是否为主要任务
                             taskComment:thisdata.taskComment,//任务说明
                             contacts:thisdata.contacts,//联系人
                             contactsMobile:thisdata.contactsMobile,//联系人电话
                        });
                    };
                   }
                this.setState({
                    dataSource: theArr,
                    pagination: false,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    //收款节点
    loadDatas(record) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/newOrder/selectOrderDun',
            data: {
            	orderNo:record?record.orderNo:this.props.datauser.orderNo
            },
            success: function (data) {
                let theArr = [];
                if (!data.data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.length; i++) {
                        let thisdata = data.data[i];
                        theArr.push({
                             key: i,
                             id:thisdata.id,
                            
                        });
                    };
                   }
                this.setState({
                    dataSource: theArr,
                    pagination: false,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
	getInitialState() {
		return {
			loading: false,
			visible: false,
			orgCodeUrl:[],
			customerArr:[],
			bussStats:false,
			checkedKeys: [],
			lookflowList:[],
			active:{
				applySign:false
			},
			lookState:false,
			signBillVisible:false,
			commod:'',
			columns: [
				{
                    title: '业务项目名称',
                    dataIndex: 'commodityName',
                    key: 'commodityName'
                }, {
                    title: '项目类别',
                    dataIndex: 'cname',
                    key: 'cname',
                    
                },{
                    title: '项目数量',
                    dataIndex: 'commodityQuantity',
                    key: 'commodityQuantity'
                }, {
                    title: '金额(万元)',
                    dataIndex: 'commodityPrice',
                    key: 'commodityPrice'
                }, {
                    title: '负责人',
                    dataIndex: 'contacts',
                    key: 'contacts'
                }, {
                    title: '负责人电话',
                    dataIndex: 'contactsMobile',
                    key: 'contactsMobile'
                }, {
                    title: '主要项目',
                    dataIndex: 'main',
                    key: 'main',
                    render:(text)=>{
                    	return (text?'是':'否')
                    }
                }, {
                    title: '项目说明',
                    dataIndex: 'taskComment',
                    key: 'taskComment',
					render:(text)=>{
						return (text&&text.length>8?text.substr(0,8)+'…':text)
					}
                }, {
                    title: '操作',
                    dataIndex: 'ABC',
                    key: 'ABC',
                    render: (text, record, index) => {
						return <div>
									{this.state.processStatus==0?<Popconfirm title="是否删除?" onConfirm={(e)=>{this.delectRow(record)}} okText="是" cancelText="否">
										    <Button onClick={(e) =>{ e.stopPropagation()}} type="danger">删除</Button>                 
										</Popconfirm>:""}
								</div>
							}
                },
			],
			flowList:[
				{
                    title: '平台流水号',
                    dataIndex: 'billNo',
                    key: 'billNo',
                }, {
                    title: '平台流水时间',
                    dataIndex: 'createTime',
                    key: 'createTime'
                }, {
                    title: '流水金额(万元)',
                    dataIndex: 'transactionAmount',
                    key: 'transactionAmount'
                },{
                    title: '付款人名称',
                    dataIndex: 'payerName',
                    key: 'payerName'
                }, {
                    title: '收款人名称',
                    dataIndex: 'payeeName',
                    key: 'payeeName'
                },
                {
                    title: '流水科目',
                    dataIndex: 'transactionSubject',
                    key: 'transactionSubject',
                    render:(text)=>{return getTransactionProject(text) }
                }, {
                    title: '流水渠道',
                    dataIndex: 'transactionChannel',
                    key: 'transactionChannel',
                    render:(text)=>{return getTransactionChannel(text) }
                },{
                    title: '财务流水号',
                    dataIndex: 'financialPayNo',
                    key: 'financialPayNo',
                }, {
                    title: '财务流水时间',
                    dataIndex: 'financialPayTime',
                    key: 'financialPayTime',
                }, {
                    title: '流水确认',
                    dataIndex: 'confirmSign',
                    key: 'confirmSign',
                    render:(text)=>{return text?'已确认':'待确认' }
                },{
                    title: '确认时间',
                    dataIndex: 'confirmTime',
                    key: 'confirmTime',
                }
			],
			contactList:[],
			loading:false,
			ContactsLists: [{
					title: '催款科目',
					dataIndex: 'dunSubject',
					key: 'dunSubject',
					render: (text, record, index) => {
						return <Select placeholder="请选择催款科目"  value={record.dunSubject}  style={{width:'150px'}}
						    		onChange={(e) => { record.dunSubject = e; this.setState({ contactList: this.state.contactList }); }}> 
                                 {
                                    jiedian.map(function (item) {
                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
                                    })
                                }
                            </Select>  
				                               
					}
				},{
					title: '金额（万）',
					dataIndex: 'money',
					key: 'money',
					render: (text, record, index) => {
						return <Input value={record.money} placeholder="请输入金额(必填项)" key={record.id} required="required"
	                  onChange={(e) => { record.money = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/>
					}
				}, {
					title: '催款状态',
					dataIndex: 'dunStatus',
					key: 'dunStatus',
					render: (text, record, index) => {
						return text?'已完成':'催款中'
					}
				},
				{
					title: '操作',
					dataIndex: 'dels',
					key: 'dels',
					render: (text, record, index) => {
						return <div>
		                        {this.state.processStatus==0?<Popconfirm title="是否删除?" onConfirm={(e)=>{this.confirmDelet(record.key)}} okText="删除" cancelText="不删除">
									    <Button style={{marginRight:'10px',color:'#ffffff',background:'#f00',border:'none'}}>删除</Button>
									</Popconfirm>
									:''}
								{record.id?'': <Button  type="primary" htmlType="submit" onClick={this.contactSave}>保存</Button>}
								
                            </div>
					}
				}
			],
		};
	},
	//新建订单、编辑订单保存
	handleSubmit(e) {
		e.preventDefault();
		let theorgCodeUrl = [];
        if (this.state.orgCodeUrl.length) {
            let picArr = [];
            this.state.orgCodeUrl.map(function (item) {
				if ( item.response && item.response.data && item.response.data.length ){
					picArr.push(item.response.data);
				}
            });
            theorgCodeUrl = picArr.join(",");
        };
        if(this.props.userDetaile){
	        if(!this.state.contacts){
	        	message.warning('企业负责人不能为空');
	        	this.refs.signFirstPayment.focus()
	        	return false;
	        };
	        if(!this.state.contactMobile){
	        	message.warning('企业负责人电话不能为空');
	        	this.refs.signFirstPayment.focus()
	        	return false;
	        };
	        if(!this.state.totalAmount){
	        	message.warning('签单金额不能为空');
	        	this.refs.signFirstPayment.focus()
	        	return false;
	        };
	        if(!this.state.firstAmount){
	        	message.warning('首付金额不能为空');
	        	this.refs.signFirstPayment.focus()
	        	return false;
	        };
	        if(!theorgCodeUrl){
	        	message.warning('企业负责人不能为空');
	        	this.refs.signFirstPayment.focus()
	        	return false;
	        };
        }else{
        	if(this.state.orderType==undefined){
	        	message.warning('请选择订单类型');
	        	return false;
	        };
        	if(!this.state.autoId){ 
	        	message.warning('客户名称不匹配');
	        	return false;
        	};
        	
        }
		this.props.form.validateFields((err, values) => {
			if(!err) {
				this.setState({
					loading: true
				});
				let api=this.props.userDetaile?'/api/admin/newOrder/updateServiceOrderNew':'/api/admin/newOrder/createOrder';
				$.ajax({
					method: "POST",
					dataType: "json",
					crossDomain: false,
					url: globalConfig.context + api,
					data: !this.props.userDetaile?{
						uid:this.state.autoId,
						orderType:this.state.orderType,
						contractType:this.state.contractType
					}:{
						orderNo: this.state.orderNo,//订单编号
						totalAmount: this.state.totalAmount,//总金额
						firstAmount: this.state.firstAmount,//首付
						isSubmit: this.state.isSubmit,//保存草稿还是提交
						signDate: this.state.signDate,//签单日期
						contacts: this.state.contacts,//企业负责人
						contactMobile: this.state.contactMobile,//负责人联系方式
						legalPerson: this.state.legalPerson,//企业法人
						legalPersonTel: this.state.legalPersonTel,//企业法人联系电话
						approval: this.state.approval,//特批状态
						contractNo: this.state.contractNo,//合同编号
						orderRemarks: this.state.orderRemarks,//订单备注
						contractPictureUrl:theorgCodeUrl.length?theorgCodeUrl:'',
					}
				}).done(function(data) {
					this.setState({
						loading: false
					});
					if(!data.error.length) {
						message.success('保存成功！');
						this.handleOk()
					} else {
						message.warning(data.error[0].message);
					}
				}.bind(this));
			}
		});
	},
	//订单详情修改
	xiangqingClick(e) {
		e.preventDefault();
		this.setState({
			loading: true
		});
		$.ajax({
			url: globalConfig.context + '/api/admin/newOrder/updateServiceOrderNew',
			method: 'post',
			data: {
				orderNo: this.state.orderNo,//订单编号
				totalAmount: this.state.totalAmount,//总金额
				firstAmount: this.state.firstAmount,//首付
				isSubmit: this.state.isSubmit,//保存草稿还是提交
				signDate: this.state.selTime,//签单日期
				contacts: this.state.contacts,//企业负责人
				contactMobile: this.state.contactMobile,//负责人联系方式
				legalPerson: this.state.legalPerson,//企业法人
				legalPersonTel: this.state.legalPersonTel,//企业法人联系电话
				approval: this.state.approval,//特批状态
				contractNo: this.state.contractNo,//合同编号
				orderRemarks: this.state.orderRemarks,//订单备注
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.loaduser();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//查看基本详情基本信息
    loaduser(record){
    	this.state.orderList=[]
    	$.ajax({
            method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/newOrder/getOrderNewDetail',
            data: {
              orderNo:record?record.orderNo:this.props.datauser.orderNo
            },
            success: function (data) {
                let thisData = data.data;                
                if (!thisData) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                    thisData = {};
                };
                this.setState({
					id:thisData.id,
					kehuId:thisData.buyerId,
					orderNo:thisData.orderNo,//订单编号
					orderType:thisData.orderType,//订单类型
					firstAmount:thisData.firstAmount,//首付金额
					totalAmount:thisData.totalAmount,//总金额
					settlementAmount:thisData.settlementAmount,//结算金额
					liquidationStatus:thisData.liquidationStatus,//清算状态
					processStatus:thisData.processStatus,//流程状态
					approval:thisData.approval.toString(),//特批状态
               		orderRemarks:thisData.orderRemarks,//订单备注
               		contractNo:thisData.contractNo,//合同编号
               		contacts:thisData.contacts,//联系人
               		contactMobile:thisData.contactMobile,//联系人电话
               		legalPerson:thisData.legalPerson,//法人
               		legalPersonTel:thisData.legalPersonTel,//法人电话
               		contractNo:thisData.contractNo,//合同编号
					orgCodeUrl: thisData.contractPictureUrl ? splitUrl(thisData.contractPictureUrl, ',', globalConfig.avatarHost + '/upload') : [],//图片地址
					signDate:thisData.signDate,//签单时间
					userName:thisData.userName,//客户名称
					salesmanName:thisData.salesmanName,//营销员名称
					financeName:thisData.financeName,//财务名称
					contractNo:thisData.contractNo,//合同编号
					approval:thisData.approval==0?thisData.approval.toString():thisData.approval,
                });
            }.bind(this),
       }).always(function () {
            this.setState({            	
                loading: false
            });
        }.bind(this));  
    },
    //查看催款节点
    loaduserss(record){
    	this.state.orderList=[]
    	this.setState({
    		orderNoss:record?record.orderNo:this.props.datauser.orderNo,
    	})
    	$.ajax({
            method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/newOrder/selectOrderDun',
            data: {
              orderNo:record?record.orderNo:this.props.datauser.orderNo
            },
            success: function (data) {
                let theArr=[];
                let thisData=[];
                if (!thisData) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                    thisData = {};
                }else{
                	for(let i = 0; i < data.data.length; i++) {
                		thisData= data.data[i];  
	                	theArr.push({
	                		key:i,
	                		dunSubject:thisData.dunSubject?thisData.dunSubject.toString():"",//催款科目
	                		id:thisData.id,//节点Id
	                		money:thisData.money,//催款金额
	                		dunStatus:thisData.dunStatus,//催款状态
	                		orderNo:record?record.orderNo:this.props.datauser.orderNo,
	                	})
                	}
                	this.setState({
                		contactList:theArr
                	})
                };
            }.bind(this),
       }).always(function () {
            this.setState({            	
                loading: false
            });
        }.bind(this));  
    },
    //催款节点保存
	contactSave(e) {
		this.setState({
			loading: true
		});
		$.ajax({
			url: globalConfig.context + '/api/admin/newOrder/createOrderDun',
			method: 'post',
			data: {
				orderNo: this.state.orderNoss,
				orderDun: JSON.stringify(this.state.contactList)
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.loaduserss();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//点击新增催款节点
	addcontact(record) {
		this.state.contactList.push({
			key:this.state.contactList.length,
			money: '',
			dunSubject:undefined,
			orderNo: this.state.orderNoss,
			dunTarget:this.state.kehuId,
		});
		this.setState({
			contactList: this.state.contactList
		})
		console.log(this.state.contactList);
	},	
	
	//删除收款节点
	confirmDelet(index) {
		console.log(index);
		this.state.contactList.splice(index,1);
		this.setState({
			contactList: this.state.contactList
		})
		this.contactSave();
	},
	handleOk(e) {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, true);
	},
	handleCancel(e) {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false);
	},
	//点击签单
	handleCancels(e) {
		this.setState({
			//visible: false,
		});
		this.props.closeDesc(false);
		this.setState({
			isSubmit:1
		})
	},
	//点击签单
	handleCancelq(e) {
		this.setState({
			//visible: false,
		});
		this.props.closeDesc(false);
		this.setState({
			isSubmit:0
		})
	},
	//删除
    delectRow(record) {
        this.setState({
            loading: true
        });
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/newOrder/deleteOrderTask",
            data: {
            	id:record.id
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('删除成功！');
                this.setState({
                    loading: false,
                });
                this.loaduser()
            	this.loadData();
            } else {
                message.warning(data.error[0].message);
            };
        }.bind(this));
    },
	
	
	nextCancel() {
		this.setState({
			addnextVisible: false
		})
	},
	
	getOrgCodeUrl(e) {
        this.setState({ orgCodeUrl: e });
    },
	componentWillMount() {
		
	},
	//查看订单详情里面的各种骚操作
	//受理订单
    admissibleOrderOK(){
    	let idArr=this.props.datauser;
    	this.props.admissibleOrder(idArr,true)
    },
    //拒绝受理
    admissibleOrderCancel(){
    	let idArr=this.props.datauser;
    	this.props.admissibleOrder(idArr,false)
    },
    //取消订单
    cancelOrder(){
    	let idArr=this.props.datauser;
    	this.props.operation(idArr,3)
    },
    //作废订单
    scrapOrder(){
    	let idArr=this.props.datauser;
    	this.props.operation(idArr,2)
    },
    //锁定订单
    lockOrder(){
    	let idArr=this.props.datauser;
    	this.props.operation(idArr,0)
    },
    //解锁订单
    unlockOrder(){
    	let idArr=this.props.datauser;
    	this.props.operation(idArr,1)
    },
    //签单
    signBitt(){
    	this.setState({
			contractNo:this.state.contractNo,
			signVisible:true,
			entryTime:undefined,
			selTime:undefined
    	})
    },
    signBittOk(){
    	this.setState({
    		signVisible:false
    	})
    },
    signBillOk(){
    	this.setState({
    		signBillVisible:false
    	})
    },
    signBillCancel(e) {
		this.setState({
			signVisible:false,
			signBillVisible: false,
		});
		this.props.closeDesc(false, true);
	},
	//加载(自动补全)
	supervisor(e,state){ //客户名称与服务名称自动补全
		let api=state?'/api/admin/customer/getCustomerByName':'/api/admin/order/getBusinessProjectByName';
		$.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + api,
            data:state?{
            	name:e,
            	type:this.state.customType
            }:{
            	businessName:e
            },
            success: function (data) {                	  
				    let thedata=data.data;
				    if (!thedata) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };	
                    thedata = {}; 
                    }; 
					this.setState({
						states:state,
						customerArr:thedata,	
                    });
				}.bind(this),
			}).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));  
	},
	//上级主管输入框失去焦点是判断客户是否存在
	selectAuto(value){
		let kid=[];
		let fwList=this.state.customerArr;
		fwList.map(function(item){
			if(value==item.bname){
				kid=item
			}
		})
		this.setState({
			commodityName:value,
			gid:kid.id,
			//commodityPrice:kid.price==0?kid.price.toString():kid.price,
			commodityFirstPayment:kid.firstPayment==0?kid.firstPayment.toString():kid.firstPayment
		})
	},
	//客户
	selectAutoCUT(value){
		let autoIds;
		let fwList=this.state.customerArr;
		fwList.map(function(item){
			if(value==item.name){
				autoIds=item.id
			}
		})
		this.setState({
			customerName:value,
			autoId:autoIds
		})
		
	},
	//服务值改变时请求客户名称
	httpChange(e){
		this.state.gid='';
		if(e.length>=1){
			this.supervisor(e,false); 
		}	
		this.setState({
			commodityName:e
		})
	},
	//客户名称自动补全
	customerChange(e){
		this.state.autoId='';
		if(e.length>=2){
			this.supervisor(e,true); 
		}	
		this.setState({
			customerName:e
		})
	},
	//点击添加项目明细
	addDetailed(){
		this.setState({
			gid:'',
			customerArr:[],
			commodityName:'',
			commodityQuantity:'',
			commodityId:'',
			taskComment:'',
			main:undefined,
			commodityPrice:'',
			addState:1,
			addnextVisible: true
		})
	},
	//新建项目明细保存
	nextSubmit(e) {
		e.preventDefault();
		if(this.state.gid==undefined||!this.state.gid){
			message.warning('服务名称不匹配！');
			return false;
		};
		if(!this.state.commodityPrice){
			message.warning('请输入金额！');
			this.refs.commodityPrice.focus();
			return false;
		};
		if(!this.state.commodityQuantity){
			message.warning('请输入商品数量！');
			this.refs.commodityQuantity.focus();
			return false;
		};
		if(!this.state.main){
			message.warning('请选择是否为主要项目！');
			this.refs.commodityQuantity.focus();
			return false;
		};
		this.setState({
			loading: true
		});
		let api=this.state.addState?'/api/admin/newOrder/addOrderTask':'/api/bianji';
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +api ,
			data: {
				commodityId:this.state.gid,//商品ID
				orderNo:this.props.datauser.orderNo,//订单编号
				commodityName:this.state.commodityName,//商品名称
				commodityQuantity:this.state.commodityQuantity,//商品数量
				commodityPrice:this.state.commodityPrice,//签单总价
				taskComment:this.state.taskComment,//服务说明
				main:this.state.main,//是否为主要项目
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.nextCancel()
				//this.loaduser(this.props.datauser);
				this.loadData();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//点击打卡项目详情
	tableRowClick(record, index) {
		console.log(record);
        this.setState({
        	jid:record.id,//项目ID
        	kid:record.commodityId,//商品ID
        	commodityName:record.commodityName,//金额
        	commodityPrice:record.commodityPrice,//金额
        	commodityQuantity:record.commodityQuantity,//数量
        	taskComment:record.taskComment,//备注
        	main:record.main.toString(),//是否为主要
        	addnextVisible:true,
        	addState:0,
        });
    },
    //修改项目详情
	tabRowSave(e){
		e.preventDefault();
		if(!this.state.commodityPrice){
			message.warning('金额不能为空！');
			return false;
		};
		if(!this.state.commodityQuantity){
			message.warning('数量不能为空！');
			return false;
		};
		if(!this.state.main){
			message.warning('请选择是否为主要项目！');
			this.refs.commodityQuantity.focus();
			return false;
		};
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +'/api/admin/newOrder/updateOrderTask' ,
			data: {
				id:this.state.jid,//项目ID
				commodityId:this.state.kid,//商品ID
				orderNo:this.props.datauser.orderNo,//订单编号
				main:this.state.main,//是否为主要
				commodityPrice:this.state.commodityPrice,//金额
				commodityQuantity:this.state.commodityQuantity,//数量
				taskComment:this.state.taskComment//备注
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.nextCancel()
				this.loaduser(this.props.datauser);
				this.loadData();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//签单保存
	signOk(e){
		e.preventDefault();
		this.temporarySave(false)
	},
	//暂存信息
	temporary(){
		this.temporarySave(true)
	},
	//签单时间选择
    selTime(e,index){
    	this.setState({
    		entryTime:e,
    		signDate:e,
    		selTime:index
    	})
    },
	signSub(e){
		e.preventDefault();
		if(!this.state.selTime){
			message.warning("请选择签单时间!");
			return false;
		};
		let theorgCodeUrl = [];
        if (this.state.orgCodeUrl.length) {
            let picArr = [];
            this.state.orgCodeUrl.map(function (item) {
				if ( item.response && item.response.data && item.response.data.length ){
					picArr.push(item.response.data);
				}
            });
            theorgCodeUrl = picArr.join(",");
        };
		this.setState({
			loading: true
		});
		let dataList=this.state.dataSource,
			idsList=[];
		dataList.map((item,index) => {
			console.log(item);
			console.log(this.state.commodityId);
			idsList.push({
				businessId:'',
				businessProjectId:item.commodityId,
				customerStatus:"1",
				followSituation:"5",
				remarks:"签单-自动触发"
			})
		})
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +'/api/admin/order/signServiceOrder' ,
			data: {
				userBusinessList: JSON.stringify(idsList),
				uid:this.state.buyerId,
				orderNo:this.props.datauser.orderNo,
				signTotalAmount:this.state.signTotalAmount,
				signFirstPayment:this.state.signFirstPayment,
				approval:this.state.approval,
				orderRemarks:this.state.orderRemarks,
				contractNo:this.state.contractNo,
				signTime:this.state.selTime,
				contractPictureUrl:theorgCodeUrl.length?theorgCodeUrl:'',
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('操作成功！');
				this.signBillCancel()
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//签单保存与暂存函数
	temporarySave(e){
		if(!this.state.signTotalAmount){
			message.warning('实签款项不能为空！')
			return false;
		};
		if(!this.state.signTotalAmount){
			message.warning('实签首款不能为空！')
			return false;
		};
		if(this.state.approval==undefined){
			message.warning('实签首款不能为空！')
			return false;
		};
		if(!this.state.contractNo){
			message.warning("请输入合同编号!");
			return false;
		}
		this.setState({
			loading: true
		});
		let theorgCodeUrl = [];
        if (this.state.orgCodeUrl.length) {
            let picArr = [];
            this.state.orgCodeUrl.map(function (item) {
				if ( item.response && item.response.data && item.response.data.length ){
					picArr.push(item.response.data);
				}
            });
            theorgCodeUrl = picArr.join(",");
        };
		let api=e?'/api/admin/order/updateServiceOrder':'/api/admin/order/signServiceOrder';
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +api ,
			data: {
				orderNo:this.props.uid?this.props.uid.orderNo:this.props.datauser.orderNo,
				signTotalAmount:this.state.signTotalAmount,
				signFirstPayment:this.state.signFirstPayment,
				approval:this.state.approval,
				orderRemarks:this.state.orderRemarks,
				contractNo:this.state.contractNo,
				contractPictureUrl:theorgCodeUrl.length?theorgCodeUrl:'',
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('操作成功！');
				this.signBillCancel()
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	lookflow(){
		this.setState({
			loading: true,
			lookVisible:true,
		})
		this.state.lookSource=[];
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +'/api/admin/order/getBillByOrderNo',
            data: {
            	orderNo:this.props.datauser.orderNo,
            },
            success: function (data) {
                let theArr = [];
                if (!data.data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.length; i++) {
                        let thisdata = data.data[i];
                        theArr.push({
                             key: i,
	                         billNo: thisdata.billNo,
	                         transactionAmount:thisdata.transactionAmount,
	                         createTime:thisdata.createTime, 
	                         transactionAmount:thisdata.transactionAmount,
	                         payerName:thisdata.payerName,
	                         payeeName:thisdata.payeeName,
	                         transactionSubject:thisdata.transactionSubject,
	                         transactionChannel:thisdata.transactionChannel,
	                         financialPayNo:thisdata.financialPayNo,
	                         financialPayTime:thisdata.financialPayTime,
	                         orderNo:thisdata.orderNo,
	                         departmentName:thisdata.departmentName,
	                         salesmanName:thisdata.salesmanName,
	                         financeName:thisdata.financeName,
	                         confirmSign:thisdata.confirmSign,
	                         deleteSign:thisdata.deleteSign,
	                         confirmTime:thisdata.confirmTime
                        });
                    };
                };
                this.setState({
                    lookflowList: theArr,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
	},
	lookCancel(){
		this.setState({
			lookVisible:false
		})
	},
	
	/* -----变更操作开始----- */
	//新建变更
	addChange(){
		this.setState({
			addChangeState:true,
			stateAdd:1,
			changeRemarks:''
		})
	},
	//产看变更记录
	lookChange(){
		this.setState({
			addChangeState:true,
			stateAdd:0
		})
		this.lookChangeData()
	},
	//查看变更列表修改变更
	modifyChangeCancel(){
		this.setState({
			modifyChangeState:false
		})
	},
	//获取变更记录
	lookChangeData(){
		this.setState({
			loading:true
		});
		 $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +'/api/admin/order/viewOrderChange',
            data: {
            	orderNo:this.props.datauser.orderNo,
            },
            success: function (data) {
                let theArr = [];
                if (!data.data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.length; i++) {
                        theArr = data.data;
                    };
                };
                this.setState({
                    changeHtml: theArr,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
	},
	//添加变更状态
	addChangeCancel(){
		this.setState({
			addChangeState:false
		})
	},
	//新建变更
	subChangeState(e){
		e.preventDefault();
		this.setState({
			loading: true
		});
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +'/api/admin/order/addOrderChange' ,
			data: {
				orderNo:this.props.datauser.orderNo,
				changeComment:this.state.changeRemarks
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.addChangeCancel();
				this.loaduser();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//查看修改变更
	modifyChange(item){
		this.setState({
			modifyChangeState:true,
			changePromoter:item.creater,
			changeTime:item.createTime,
			changeState:item.changeStatus,
			changeRemarks:item.changeComment,
			idt:item.changeId,
			orderNot:item.orderNo
		})
	},
	//删除变更
	modifyDelete(item){
		this.setState({
			loading: true
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +'/api/admin/order/deleteOrderChange' ,
			data: {
				changeId:item.changeId,
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('删除成功！');
				this.lookChangeData();
				this.loaduser()
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//修改变更保存
	changeModify(e){
		e.preventDefault();
		this.setState({
			loading: true
		});
		$.ajax({
			method: "POST",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +'/api/admin/order/updateOrderChange' ,
			data: {
				changeId:this.state.idt,
				changeStatus:this.state.changeState,
				changeComment:this.state.changeRemarks
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.modifyChangeCancel();
				this.lookChangeData();
				this.loaduser()
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	/*-----变更操作结束----*/
	
	 //查看流失。项目列表
    lookSee(state) {
    	this.state.lookSource=[];
        this.setState({
            loading: true
        });
        let api=state?'/api/xiangmu':'/api/liushui'
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + api,
            data: {
            	orderNo:this.props.datauser.orderNo
            },
            success: function (data) {
                let theArr = [];
                if (!data.data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.length; i++) {
                        let thisdata = data.data[i];
                        theArr.push({
                             key: i,
                             id:thisdata.id,
                             orderNo:thisdata.orderNo,
                             commodityName:thisdata.commodityName,
                             commodityType:thisdata.commodityType,
                             commodityMode:thisdata.commodityMode,
                             commodityQuantity:thisdata.commodityQuantity,
                             commodityPrice:thisdata.commodityPrice,
                             discountPrice:thisdata.discountPrice,
                             commodityFirstPayment:thisdata.commodityFirstPayment,
                             createTimes:thisdata.createTimes,
                             remarks:thisdata.remarks,
                        });
                    };
                   }
                this.setState({
                    lookSource: theArr,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    //开单选择订单类型骚操作
    orderTypeFn(e){
    	if(e==0){
	    	this.setState({
	    		bussStats:true,
	    		orderType:e
    		})
	    	this.category();
    	}else{
    		this.setState({
    			contractType:undefined,
	    		bussStats:false,
	    		orderType:e
    		})
    	}
    },
    //品类数据获取
    category(){
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/Varieties/getSuperList",
			data: {
				
			},
			success: function(data) {
				let thedata = data.data;
				let theArr=[];
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				}else{
					thedata.map(function(item,index){
						theArr.push({
							key:index,
							name:item.cname,
							id:item.id,
						})
					})
				}
				this.setState({
					contractType:undefined,
					categoryArr:theArr,
				})
			}.bind(this),
			});
    },
	componentWillReceiveProps(nextProps) { //props改变时触发
		this.state.visible = nextProps.showDesc;
		this.state.signBillVisible=nextProps.signBillVisible;
		if(this.state.signBillVisible){
			this.loaduser(nextProps.uid)
		};
		if(nextProps.userDetaile && nextProps.showDesc) {
			this.loaduser(nextProps.datauser);
			this.loaduserss(nextProps.datauser);
			this.loadData(nextProps.datauser);
		}else{
			this.setState({
				orderType:undefined,
				customerName:'',
				autoId:'',
				customerArr:[],
				contractType:undefined,
				bussStats:false,
				customType:undefined
			})
		}
	},
	render() {
		const FormItem = Form.Item
		const formItemLayout = {
			labelCol: { span: 8 },
			wrapperCol: { span: 14 },
		};
		const changeHtml=this.state.changeHtml ||[];
		const categoryList=this.state.categoryArr ||[];
		const orderDetaiel=this.state.orderList || [];
		const dataSources=this.state.customerArr || [];
        const options = this.state.states?dataSources.map((group,index) =>
				      <Select.Option key={group.id} value={group.name}>{group.name}</Select.Option>
				     ):dataSources.map((group,index) =>
				      <Select.Option key={index} value={group.bname}>{group.bname}</Select.Option>
				     )
		    
		return(
			<div>
            <Modal maskClosable={false} visible={this.state.visible}
                        onOk={this.handleOk} onCancel={this.handleCancel}
                        width={!this.props.userDetaile?'600px':'900px'}  
                        title={!this.props.userDetaile?'创建订单':'编辑订单'}                      
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" onSubmit={this.handleSubmit} id="demand-form" style={{paddingBottom:'40px'}} >
			                <Spin spinning={this.state.loading}>
			                        <div className="clearfix">
			                            {!this.props.userDetaile?
			                            <div className="clearfix">
			                            	<div className="clearfix">
						                    	<FormItem 
							                            {...formItemLayout}
							                            label="订单类型" > 
							                            <Select placeholder="请选择订单类型"
								                            style={{ width:'200px'}}
								                            value={this.state.orderType}
								                            onChange={(e)=>{this.setState({orderType:e})}}>
								                            {
							                                    orderTypes.map(function (item) {
							                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
							                                    })
							                                }
								                        </Select>
							                    		<span className="mandatory">*</span>
							                    </FormItem>
							                </div>
							                <FormItem 
					                            {...formItemLayout}
					                            label="客户所属类型" > 
											     <Select placeholder="请选择客户所属类型"
							                            style={{ width:'200px'}}
							                            value={this.state.customType}
							                            onChange={(e)=>{this.setState({customType:e})}}>
							                            {
						                                    customerType.map(function (item) {
						                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
						                                    })
						                                }
							                     </Select>
							                </FormItem>
							                <div className="clearfix">
							                    <FormItem 
							                            {...formItemLayout}
							                            label="客户名称" >                             
						                                    <AutoComplete
													        className="certain-category-search"
													        dropdownClassName="certain-category-search-dropdown"
													        dropdownMatchSelectWidth={false}
													        dropdownStyle={{ width: 200 }}
													        size="large"
													        style={{ width: '200px' }}
													        dataSource={options}
													        placeholder="输入名称"
													        value={this.state.customerName}
													        onChange={this.customerChange}
													        filterOption={true}
													        onSelect={this.selectAutoCUT}
													      >
													        <Input/>
													      </AutoComplete> 
													      <span className="mandatory">*</span>
							                    </FormItem>
							                </div>
							                 <div className='addSave' style={{marginTop:'15px'}}>
							                   <Button className="cancel" type="primary" onClick={this.handleCancel} style={{marginLeft:"150px"}} htmlType="submit">开单</Button>
				                               <Button className="cancel" type="ghost" onClick={this.handleCancel} style={{marginLeft:"50px"}}>取消</Button>
			                            	</div>
						                </div>
						                :<div className="clearfix">
						                       		<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="订单编号" >
							                            <span>{this.state.orderNo}</span>
						                    		</FormItem>
						                    		<FormItem className="half-item"
								                            {...formItemLayout}
								                            label="合同编号" >                             
							                                    <Input placeholder="请输入合同编号" value={this.state.contractNo}
							                                    	onChange={(e)=>{this.setState({contractNo:e.target.value})}} style={{width:'240px'}} />
								                    </FormItem>
						                    		<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="客户名称" >  
							                            <span>{this.state.userName}</span>
						                    		</FormItem>
						                    		<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="流程状态" >  
							                            <span>{getProcessStatus(this.state.processStatus)}</span>
						                    		</FormItem>
						                    		<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="结算状态" >  
							                            <span>{getLiquidationStatus(this.state.liquidationStatus)}</span>
						                    		</FormItem>
						                    		<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="已收款项" >  
							                            <span>{this.state.settlementAmount+'万元'}</span>
						                    		</FormItem>
						                    		<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="企业联系人" >                             
						                                    <Input placeholder="请输入联系人" ref='signTotalAmount' value={this.state.contacts} onChange={(e)=>{this.setState({contacts:e.target.value})}} style={{width:'240px'}} />
								                   			<span className="mandatory">*</span>
								                    </FormItem>
								                     <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="联系人电话" >                             
						                                    <Input placeholder="请输入联系人电话" ref='signTotalAmount' value={this.state.contactMobile} onChange={(e)=>{this.setState({contactMobile:e.target.value})}} style={{width:'240px'}} />
								                   			<span className="mandatory">*</span>
								                    </FormItem>
								                    <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="企业法人" >                             
						                                    <Input placeholder="请输入法人" ref='signTotalAmount' value={this.state.legalPerson} onChange={(e)=>{this.setState({legalPerson:e.target.value})}} style={{width:'240px'}} />
								                    </FormItem>
								                     <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="法人电话" >                             
						                                    <Input placeholder="请输入法人电话" ref='signTotalAmount' value={this.state.legalPersonTel} onChange={(e)=>{this.setState({legalPersonTel:e.target.value})}} style={{width:'240px'}} />
								                    </FormItem>
							                    	<div className='clearfix'>
									                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="签单金额(万元)" >                             
							                                    <Input placeholder="签单金额" ref='signTotalAmount' value={this.state.totalAmount} onChange={(e)=>{this.setState({totalAmount:e.target.value})}} style={{width:'240px'}} />
									                   			<span className="mandatory">*</span>
									                    </FormItem>
									                    <FormItem className="half-item"
									                            {...formItemLayout}
									                            label="首付金额(万元)" >                             
								                                    <Input placeholder="请输入实签首款金额" ref='signFirstPayment' value={this.state.firstAmount} onChange={(e)=>{this.setState({firstAmount:e.target.value})}} style={{width:'240px'}} />
									                    		<span className="mandatory">*</span>
									                    </FormItem>
							                    		<FormItem className="half-item"
								                            {...formItemLayout}
								                            label="特批立项" >  
								                            <Select placeholder="请选择客户所属类型"
									                            style={{ width:'240px'}}
									                            value={this.state.approval}
									                            onChange={(e)=>{this.setState({approval:e})}}>
									                            {
								                                    tepi.map(function (item) {
								                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
								                                    })
								                                }
									                     </Select>
							                    		</FormItem>
									                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="合同签订时间" >   
								                            <DatePicker
								                              style={{marginTop:"2px",width: '240px',height:"32px" }}
														      showTime
														      format="YYYY-MM-DD"
														      placeholder="合同签订时间"
														      value={this.state.signDate}
														      onChange={(e,time)=>{this.selTime(e,time)}}
														    />
														    <span className="mandatory">*</span>
							                    		</FormItem>
							                    		<div className='clearfix'>
												            <FormItem
												                labelCol={{ span: 4 }}
												                wrapperCol={{ span: 18 }}
												                label={
												                	<span>
																		<strong style={{ color: '#f00' }}>*</strong>合同扫描件
																	</span> 
												                }
												                >
												            	
												                <PicturesWall
												                    fileList={this.getOrgCodeUrl}
												                    pictureUrl={this.state.orgCodeUrl} />
												                    <p>图片建议：要清晰。</p>
												            </FormItem>
												        </div>
												        <div className='clearfix'>
												        	<FormItem
													            labelCol={{ span: 4 }}
													            wrapperCol={{ span: 16 }}
													            label="订单留言" >
													                <Input type="textarea" placeholder="请输入订单留言" rows={4}  value={this.state.orderRemarks} 
														    				onChange={(e)=>{this.setState({orderRemarks:e.target.value})}}/>			                      
													        </FormItem>
												        </div>
											        </div>
											        <div className='clearfix'>
							                    		<FormItem className="half-item"
								                            {...formItemLayout}
								                            label="订单负责人" >  
								                            <span>{this.state.salesmanName}</span>
							                    		</FormItem>
							                    		<FormItem className="half-item"
								                            {...formItemLayout}
								                            label="订单负责人电话" >  
				                            				<span>{orderDetaiel.projectType}</span>
							                    		</FormItem>
							                    	</div>
							                    	<div className='clearfix'>
							                    		<FormItem className="half-item"
								                            {...formItemLayout}
								                            label="财务负责人" >  
								                            <span>{this.state.financeName}</span>
							                    		</FormItem>
							                    		<FormItem className="half-item"
								                            {...formItemLayout}
								                            label="财务负责人电话" >  
				                            				<span>{orderDetaiel.projectType}</span>
							                    		</FormItem>
							                    	</div>
					                    		<div>
								                	<span style={{marginLeft:'50px',fontSize:'20px'}}>催款节点</span>
								                	{this.state.processStatus==0?<Button type='primary' onClick={this.addcontact} style={{float:'right',marginRight:'50px',marginBottom:'15px'}}>添加催款节点</Button>:""}
								                </div>
								                <div className="clearfix">
								    			  <Spin spinning={this.state.loading}>
								    			        <Form layout="horizontal" id="demand-form"  >
													      	<Table 
											            	 pagination={false}
											            	 columns={this.state.ContactsLists} 
											            	 dataSource={this.state.contactList}
											            	 />
									            	        <Col span={24} offset={9} style={{marginTop:'15px'}}>
												                 
												            </Col>
										            	</Form> 
												   </Spin> 
												</div>
									            <div>
								                	<span style={{marginLeft:'50px',fontSize:'20px'}}>项目业务</span>
								                	{this.state.processStatus==0?<Button type='primary' onClick={this.addDetailed} style={{float:'right',marginRight:'50px',marginBottom:'15px'}}>添加项目明细</Button>:""}
								                </div>
								                <div className="patent-table">
								                    <Spin spinning={this.state.loading}>
								                        <Table columns={this.state.columns}
								                            dataSource={this.state.dataSource}
								                            pagination={this.state.pagination}
								                            onRowClick={this.tableRowClick} 
								                            />
								                    </Spin>
									            </div>
									            {this.state.processStatus==0?
									            <div className='addSave' style={{marginTop:'15px'}}>
								                   <Button className="cancel" type="primary" onClick={this.handleCancels} style={{marginLeft:"200px"}} htmlType="submit">签单</Button>
								                   <Button className="cancel" type="primary" onClick={this.handleCancelq} style={{marginLeft:"50px"}} htmlType="submit">保存</Button>
					                               <Button className="cancel" type="ghost" onClick={this.handleCancel} style={{marginLeft:"50px"}}>取消</Button>
				                            	</div>:""}
					                        </div>}
				                    </div>
			                </Spin>
			            </Form >
			        </Modal> 
			        <Modal maskClosable={false} visible={this.state.addnextVisible}
                        onOk={this.nextCancel} onCancel={this.nextCancel}
                        width='800px'
                        title={this.state.addState?'添加项目任务':'项目任务详情'}                     
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" onSubmit={this.nextSubmit} id="demand-form">
			                <Spin spinning={this.state.loading}>
			                        {this.state.addState?<div className="clearfix">
				                    	<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="服务名称" >   
			                                    <AutoComplete
										        className="certain-category-search"
										        dropdownClassName="certain-category-search-dropdown"
										        dropdownMatchSelectWidth={false}
										        dropdownStyle={{ width: 200 }}
										        style={{ width: '200px' }}
										        dataSource={options}
										        placeholder="输入服务名称"
										        value={this.state.commodityName}
										        onChange={this.httpChange}
										        filterOption={true}
										        onSelect={this.selectAuto}
										      >
										        <Input/>
										      </AutoComplete> 
										      <span className="mandatory">*</span>
					                    </FormItem>
					                     
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="服务数量" >   
				                                    <Input placeholder="请输入服务数量" value={this.state.commodityQuantity} style={{width:'200px'}}
				                                    onChange={(e)=>{this.setState({commodityQuantity:e.target.value})}} ref="commodityQuantity"/>
				                                <span className="mandatory">*</span>    
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="实签价格(万元)" >   
				                                    <Input placeholder="请输入实签价格" value={this.state.commodityPrice} style={{width:'200px'}}
				                                    onChange={(e)=>{this.setState({commodityPrice:e.target.value})}} ref="commodityPrice"/>
				                                <span className="mandatory">*</span>    
					                    </FormItem>
					                    <FormItem className="half-item"
				                            {...formItemLayout}
				                            label="主要业务" >  
				                            <Select placeholder="选择是否为主要业务"
					                            style={{ width:'200px'}}
					                            value={this.state.main}
					                            onChange={(e)=>{this.setState({main:e})}}>
					                            {
				                                    boutique.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
					                    	 </Select>
					                    	 <span className="mandatory">*</span>   
			                    		</FormItem>
					                    <div className='clearfix'>
						                    <FormItem 
						                            labelCol={{ span: 4 }}
										            wrapperCol={{ span: 16 }}
						                            label="服务说明" >   
					                                    <Input type='textarea' placeholder="请输入服务说明" value={this.state.taskComment} 
					                                    onChange={(e)=>{this.setState({taskComment:e.target.value})}} />
						                    </FormItem>
					                    </div>
					                    <FormItem wrapperCol={{ span: 12, offset: 4 }} className="half-middle">
					                        <Button className="submitSave" type="primary" htmlType="submit">保存</Button>  
					                        <Button className="submitSave" type="ghost" onClick={this.nextCancel}>取消</Button>
					                    </FormItem> 
				                    </div>:
				                    <div className='clearfix'>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="项目名称" >
				                    			<span>{this.state.commodityName}</span>
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="项目数量" >
				                    			<Input placeholder="请输入数量" value={this.state.commodityQuantity} style={{width:'200px'}}
				                                    onChange={(e)=>{this.setState({commodityQuantity:e.target.value})}} />
				                                <span className="mandatory">*</span>  
				                    	</FormItem>
				                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="金额(万元)" >
				                    			<Input placeholder="请输入签单金额" value={this.state.commodityPrice} style={{width:'200px'}}
				                                    onChange={(e)=>{this.setState({commodityPrice:e.target.value})}} />
				                                <span className="mandatory">*</span>      
				                    	</FormItem>
					                    <FormItem className="half-item"
				                            {...formItemLayout}
				                            label="主要项目" >  
				                            <Select placeholder="选择是否为主要业务"
					                            style={{ width:'200px'}}
					                            value={this.state.main}
					                            onChange={(e)=>{this.setState({main:e})}}>
					                            {
				                                    boutique.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
					                     	</Select>
					                     	<span className="mandatory">*</span>   
			                    		</FormItem>
					                    <div className='clearfix'>
					                    	<FormItem 
						                            labelCol={{ span: 4 }}
										            wrapperCol={{ span: 16 }}
						                            label="服务说明" >
					                    			 <Input type='textarea' placeholder="请输入服务说明" value={this.state.taskComment} 
					                                    onChange={(e)=>{this.setState({taskComment:e.target.value})}} />
					                    	</FormItem>
				                    	</div>
				                    	<FormItem wrapperCol={{ span: 12, offset: 4 }} className="half-middle">
					                        <Button className="submitSave" type="primary" onClick={this.tabRowSave}>保存</Button>  
					                        <Button className="submitSave" type="ghost" onClick={this.nextCancel}>取消</Button>
					                    </FormItem>
				                    </div>}
			                </Spin>
			            </Form >
			        </Modal>
			        <Modal maskClosable={false} visible={this.state.signBillVisible}
                        onOk={this.signBillOk} onCancel={this.signBillOk}
                        width='800px'
                        title='签单信息'                    
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" onSubmit={this.signOk} id="demand-form">
			                <Spin spinning={this.state.loading}>
			                        <div className="clearfix">
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="订单编号" > 
					                            <span>{this.state.orderNo}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="客户名称" >   
				                                   <span>{this.state.buyerName}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="实签款项(万元)" >   
				                                    <Input placeholder="请输入实签款项" value={this.state.signTotalAmount} style={{width:'200px'}}
				                                    onChange={(e)=>{this.setState({signTotalAmount:e.target.value})}} />
				                                    <span className="mandatory">*</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="实签首款(万元)" >   
				                                    <Input placeholder="请输入实签首款" value={this.state.signFirstPayment} style={{width:'200px'}}
				                                    onChange={(e)=>{this.setState({signFirstPayment:e.target.value})}} />
				                                    <span className="mandatory">*</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="特批立项" >  
					                            <Select placeholder="选择特批立项类型"
						                            style={{ width:'200px'}}
						                            value={this.state.approval}
						                            onChange={(e) => { this.setState({ approval: e }) }}>
						                            <Select.Option value='0'>不申请特批</Select.Option>
						                            <Select.Option value='1'>申请特批</Select.Option>
						                        </Select>
					                    		<span className="mandatory">*</span>
						                </FormItem>
						                <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="合同编号" >                             
				                                    <Input placeholder="请输入合同编号"  value={this.state.contractNo}
				                                    	onChange={(e)=>{this.setState({contractNo:e.target.value})}} style={{width:'200px'}} />
					                    		<span className="mandatory">*</span>
					                    </FormItem>
						                <div className='clearfix'>
								        	<FormItem
									            labelCol={{ span: 4 }}
									            wrapperCol={{ span: 16 }}
									            label="签单备注" >
									                <Input type="textarea" placeholder="请输入签单备注" rows={4}  value={this.state.orderRemarks} 
										    				onChange={(e)=>{this.setState({orderRemarks:e.target.value})}}/>			                      
									        </FormItem>
								        </div>
								        <div className='clearfix'>
								            <FormItem
								                labelCol={{ span: 4 }}
								                wrapperCol={{ span: 18 }}
								                label="合同扫描件" >
								                <PicturesWall
								                	listType="picture-card"
								                    fileList={this.getOrgCodeUrl}
								                    pictureUrl={this.state.orgCodeUrl} />
								                    <p>图片建议：要清晰。</p>
								            </FormItem>
								        </div>
				                    </div>
			                    <FormItem wrapperCol={{ span: 12, offset: 4 }} className="half-middle">
			                        <Button className="submitSave" type="primary" htmlType="submit">确定签单</Button>  
			                        <Button className="submitSave" type="ghost" onClick={this.signBillOk}>返回</Button>
			                    </FormItem> 
			                </Spin>
			            </Form >
			        </Modal>
			        <Modal maskClosable={false} visible={this.state.signVisible}
                        onOk={this.signBittOk} onCancel={this.signBittOk}
                        width='600px'
                        title='签单信息'                    
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" onSubmit={this.signSub} id="demand-form">
			                <Spin spinning={this.state.loading}>
			                        <div className="clearfix">
					                    <FormItem 
					                            {...formItemLayout}
					                            label="特批立项" >  
					                            <Select placeholder="选择特批立项类型"
						                            style={{ width:'200px'}}
						                            value={this.state.approval}
						                            onChange={(e) => { this.setState({ approval: e }) }}>
						                            <Select.Option value='0'>不申请特批</Select.Option>
						                            <Select.Option value='1'>申请特批</Select.Option>
						                        </Select>
					                    		<span className="mandatory">*</span>
						                </FormItem>
				                    </div>
				                    <div className="clearfix">
				                    	<FormItem 
				                            {...formItemLayout}
				                            label="签单时间" >   
				                            <DatePicker
				                              style={{marginTop:"2px"}}
										      showTime
										      format="YYYY-MM-DD"
										      placeholder="选择签单时间"
										      value={this.state.entryTime}
										      onChange={(e,time)=>{this.selTime(e,time)}}
										    />
										    <span className="mandatory">*</span>
			                    		</FormItem>
			                    	</div>	
			                    <FormItem wrapperCol={{ span: 12, offset: 4 }} className="half-middle">
			                        <Button className="submitSave" type="primary" htmlType="submit">确定签单</Button>  
			                        <Button className="submitSave" type="ghost" onClick={this.signBittOk}>返回</Button>
			                    </FormItem> 
			                </Spin>
			            </Form >
			        </Modal>
			        <Modal maskClosable={false} visible={this.state.lookVisible}
                        onOk={this.lookCancel} onCancel={this.lookCancel}
                        width='1300px'
                        title= '查看流水'                    
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" id="demand-form">
			                <Spin spinning={this.state.loading}>
		                        <div className="clearfix">
                        	   			<Table columns={this.state.flowList}
					                           dataSource={this.state.lookflowList}
					                           pagination={false}
			                             />
		                        </div>
			                </Spin>
			            </Form >
			        </Modal>
			        <Modal maskClosable={false} visible={this.state.addChangeState}
                        onOk={this.addChangeCancel} onCancel={this.addChangeCancel}
                        width='800px'
                        title= {this.state.stateAdd?'添加变更':'查看变更记录'}                    
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" id="demand-form">
			                <Spin spinning={this.state.loading}>
		                        <div className="clearfix">
                        	   		{this.state.stateAdd?<div className="clearfix">
						                <FormItem
									            labelCol={{ span: 4 }}
									            wrapperCol={{ span: 16 }}
									            label="变更说明" >
								                <Input type="textarea" placeholder="请输入变更说明" rows={4}  value={this.state.changeRemarks} 
									    				onChange={(e)=>{this.setState({changeRemarks:e.target.value})}}/>			                      
									    </FormItem>
									    <div className="clearfix">
									    	<Button type="primary" onClick={this.subChangeState} style={{margin:"10px 50px 10px 128px"}}>保存</Button>
									    	<Button onClick={this.addChangeCancel}>取消</Button>
									   </div>
				                    </div>:
				                    <div>
				                    	{
				                    	changeHtml.length?changeHtml.map(function(item,index){
				                    			return (<div className="changeBorder" key={index}>
													    <FormItem className="half-item"
													            {...formItemLayout}
													            label="变更发起人" >                             
													               <span>{item.creater}</span>
													    </FormItem>
													    <FormItem className="half-item"
													            {...formItemLayout}
													            label="变更申请时间" >                             
													               <span>{item.createTime}</span>
													    </FormItem>
													    <div className='clearfix'>
													    	<FormItem className="half-item"
													            {...formItemLayout}
													            label="变更状态" >                             
													                <span>{getChangeState(item.changeStatus)}</span>
													   		</FormItem>
													   		<FormItem className="half-item"
													            {...formItemLayout}
													            label="变更操作" >                             
													            <Button onClick={(e)=>{this.modifyChange(item)}}>修改</Button>
													   			{/*<Button type="danger" onClick={(e)=>{this.modifyDelete(item)}}>删除</Button>*/}
													   		</FormItem>
													    </div>
													    <div className='clearfix changeRemark'>
													    	<FormItem
													            labelCol={{ span: 4 }}
													            wrapperCol={{ span: 16 }}
													            label="变更说明" >
													    		<p>{item.changeComment}</p>
													        </FormItem>
													    </div>
													</div>)
				                    		},this):<p style={{textAlign:"center"}}>暂无变更记录</p>}
								    </div>
                        	   		}
		                        </div>
			                </Spin>
			            </Form >
			        </Modal>
			        <Modal maskClosable={false} visible={this.state.modifyChangeState} 
                        onOk={this.modifyChangeCancel} onCancel={this.modifyChangeCancel}
                        width='600px'
                        title= "修改变更  "                 
                        footer=''
                        className="admin-desc-content">
			            <Form layout="horizontal" id="demand-form">
			                <Spin spinning={this.state.loading}>
		                        <div className="clearfix">
		                       		<div className="clearfix">
									    <FormItem className="half-item"
									            {...formItemLayout}
									            label="变更发起人" >                             
									               <span>{this.state.changePromoter}</span>
									    </FormItem>
									    <FormItem className="half-item"
									            {...formItemLayout}
									            label="变更申请时间" >                             
									               <span>{this.state.changeTime}</span>
									    </FormItem>
									    <div className='clearfix'>
									    	<FormItem 
					                             labelCol={{ span: 4 }}
										         wrapperCol={{ span: 16 }}
					                             label="变更状态" >  
												<Radio.Group onChange={(e)=>{this.setState({changeState:e.target.value})}} value={this.state.changeState}>
											        <Radio value={1}>变更中</Radio>
											        <Radio value={2}>变更完成</Radio>
											    </Radio.Group>    
						                	</FormItem>
									    </div>
									    <div className='clearfix'>
									    	<FormItem
									            labelCol={{ span: 4 }}
									            wrapperCol={{ span: 16 }}
									            label="变更说明" >
								                <Input type="textarea" placeholder="请输入变更说明" rows={4}  value={this.state.changeRemarks} 
									    				onChange={(e)=>{this.setState({changeRemarks:e.target.value})}}/>			                      
									   		</FormItem>
									    </div>
									    <div className="clearfix">
									    	<Button type="primary" onClick={this.changeModify} style={{margin:"10px 95px"}}>保存</Button>
									    	<Button onClick={this.modifyChangeCancel}>取消</Button>
									    </div>
									</div>
		                        </div>
			                </Spin>
			            </Form >
			        </Modal>
    	    </div>
		)
	}
}));

export default NewService;